Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358927 - yum grouplist does not show installed groups
Summary: yum grouplist does not show installed groups
Keywords:
Status: CLOSED DUPLICATE of bug 1266625
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: yum
Version: 7.2
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Valentina Mukhamedzhanova
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 19:31 UTC by Simon Gao
Modified: 2017-07-18 07:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-18 07:04:19 UTC


Attachments (Terms of Use)

Description Simon Gao 2016-07-21 19:31:14 UTC
Description of problem:

Command "yum grouplist" does not show installed groups any more.

Version-Release number of selected component (if applicable):

yum-3.4.3-132.el7


How reproducible:


Steps to Reproduce:
1. Run "yum grouplist"
2.
3.

Actual results:

Only shows two categories:
Available Environment Groups:
Available Groups:


Expected results:

Installed Groups should be displayed that lists package groups installed.

Additional info:

Comment 1 Valentina Mukhamedzhanova 2016-07-21 19:37:08 UTC
Does "yum grouplist hidden" resolve this issue for you?

Comment 2 Simon Gao 2016-07-21 19:40:59 UTC
No. 

$ yum grouplist hidden
Loaded plugins: fastestmirror, langpacks
There is no installed groups file.
Maybe run: yum groups mark convert (see man yum)
Available Environment Groups:
   Minimal Install
   Compute Node
   Infrastructure Server
   File and Print Server
   MATE Desktop
   Basic Web Server
   Virtualization Host
   Server with GUI
   GNOME Desktop
   KDE Plasma Workspaces
   Development and Creative Workstation
Available Groups:
   Additional Development
   Anaconda Tools
   Backup Client
   Backup Server
   Base
   Basic legacy X Window System compatibility
   Buildsystem building group
   CIFS file server
   Common NetworkManager submodules
   Compatibility Libraries
   Conflicts (Client)
   Conflicts (ComputeNode)
   Conflicts (Server)
   Conflicts (Workstation)
   Console Internet Tools
   Core
   DNS Name Server
   Debugging Tools
   Desktop
   Desktop Debugging and Performance Tools
   Desktop Platform
   Desktop Platform Development
   Development Tools
   Dial-up Networking Support
   Directory Client
   Directory Server
   E-mail Server
   Eclipse
   Educational Software
   Electronic Lab
   Emacs
   FCoE Storage Client
   FTP Server
   Fedora Packager
   File and Storage Server
   Fonts
   GNOME
   GNOME Applications
   General Purpose Desktop
   Graphical Administration Tools
   Graphics Creation Tools
   Guest Agents
   Guest Desktop Agents
   Hardware Monitoring Utilities
   Haskell
   High Availability
   Identity Management Server
   Infiniband Support
   Input Methods
   Internet Applications
   Internet Browser
   Java Platform
   KDE
   KDE Applications
   KDE Multimedia Support
   Large Systems Performance
   Legacy UNIX Compatibility
   Legacy X Window System Compatibility
   Load Balancer
   MATE
   Mainframe Access
   MariaDB Database Client
   MariaDB Database Server
   Messaging Client Support
   Messaging Server Support
   Milkymist
   Multimedia
   MySQL Database client
   MySQL Database server
   NFS file server
   Network File System Client
   Network Infrastructure Server
   Network Storage Server
   Networking Tools
   Office Suite and Productivity
   PHP Support
   Performance Tools
   Perl Support
   Perl for Web
   Platform Development
   PostgreSQL Database Client
   PostgreSQL Database Server
   PostgreSQL Database Server 9.4 PGDG
   Print Server
   Printing Client
   Python
   Remote Desktop Clients
   Remote Management for Linux
   Resilient Storage
   Ruby Support
   SNMP Support
   Scientific Support
   Security Tools
   Server Platform
   Server Platform Development
   Server Policy
   Smart Card Support
   Storage Availability Tools
   System Administration Tools
   System Management
   TeX support
   Technical Writing
   TurboGears application framework
   Virtualization
   Virtualization Client
   Virtualization Hypervisor
   Virtualization Platform
   Virtualization Tools
   Web Server
   Web Servlet Engine
   Web-Based Enterprise Management
   Workstation Policy
   X Window System
   Xfce
   iSCSI Storage Client
Done

Running "yum groups mark convert" helped. But why did I have to run this command?

Comment 4 Karel Srot 2016-10-05 12:51:15 UTC
This is a duplicate to bug 1073484.

Comment 5 Karel Srot 2017-07-18 07:04:19 UTC

*** This bug has been marked as a duplicate of bug 1266625 ***


Note You need to log in before you can comment on or make changes to this bug.